### Type parameters

- #### S

### Hierarchy

- UpduxMiddlewareAPI

## Index

### Properties

- dispatch

### Methods

- getRootState
- getState

## Properties

### dispatch

dispatch: UpduxDispatch

- Defined in types.ts:187

## Methods

### getRootState

- getRootState(): S

- - Defined in types.ts:189

  #### Returns S

### getState

- getState(): any

- - Defined in types.ts:188

  #### Returns any

Generated using TypeDoc